name='fastfetch'
version='2.16.0'
release='2'
desc='Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.'
homepage='https://github.com/fastfetch-cli/fastfetch'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('fastfetch')
conflicts=('fastfetch' 'fastfetch-git')

opt_deps=('chafa: Image output as ascii art'
  'dbus: Bluetooth, Player & Media detection'
  'dconf: Needed for values that are only stored in DConf + Fallback for GSettings'
  'ddcutil: Brightness detection of external displays'
  'directx-headers: GPU detection in WSL'
  'glib2: Output for values that are only stored in GSettings'
  'imagemagick: Image output using sixel or kitty graphics protocol'
  'libnm: Wifi detection'
  'libpulse: Sound detection'
  'mesa: Needed by the OpenGL module for gl context creation.'
  'libxrandr: Multi monitor support'
  'ocl-icd: OpenCL module'
  'hwdata: GPU output'
  'vulkan-icd-loader: Vulkan module & fallback for GPU output'
  'xfconf: Needed for XFWM theme and XFCE Terminal font'
  'zlib: Faster image output when using kitty graphics protocol'
  'libdrm: Displays detection')

sources=("https://github.com/fastfetch-cli/fastfetch/archive/refs/tags/${version}.tar.gz")
checksums=('SKIP')

build() {
    cd $srcdir/$name-$version
    cmake -DCMAKE_BUILD_TYPE=Release
    cmake --build . --target fastfetch -j$(nproc)
    }
package() {
    cd $srcdir/$name-$version
    install-binary ./fastfetch
    install-license ./LICENSE  fastfetch/LICENSE
    install-manual ./fastfetch.1
    ./completions/fastfetch.fish completion fish | install-completion fish fastfetch
    install-completion bash fastfetch <./fastfetch/completions/fastfetch.bash
    }